<#import "../ftllib/spring_new.ftl" as spring />
<#import "../ftllib/pagecom.ftl" as page />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<base href='<@spring.url ""/>'/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ϣ</title>
<script type="text/javascript" src="<@spring.url ""/>javascript/jquery-1.4.2.min.js" charset="utf-8"></script>
<script type="text/javascript" src="<@spring.url ""/>javascript/jquery_easyui/easyloader.js" charset="utf-8"></script>
<script type="text/javascript" src="javascript/jquery.utils.js" charset="utf-8"></script>
<script type="text/javascript" src="javascript/json2.js" charset="utf-8"></script>
<script language="JavaScript">
$(function(){$.showAjaxAction({img:"images/ajaxLoader.gif"});
	using(['tabs','layout'], function(){});
	jsonHall(${hallData});
	jsonTable(${tableData});
});
function jsonHall(data){
	var hallJson=data;
	$("#td_hall").empty();
	var hallNum=hallJson.total;
	var hall="";
	for(var i=0;i<hallNum;i++){
		var hallId=hallJson.rows[i].id;
		var hallName=hallJson.rows[i].name;
		if(i==0){
			hall+="<div class='div_item'>"+
				"<img id='hall_"+i+"' onClick='queryTable("+hallId+",this,"+hallNum+");' style='height:70px;' src='<@spring.url "images/web/btn_cheir_dis.png"/>'><br>"+
				"<span>"+hallName+"</span>"+
				"</div>";
		}else{
			hall+="<div class='div_item'>"+
				"<img id='hall_"+i+"' onClick='queryTable("+hallId+",this,"+hallNum+");' style='height:70px;' src='<@spring.url "images/web/btn_cheir_nor.png"/>'><br>"+
				"<span>"+hallName+"</span>"+
				"</div>";
		}
	}
	$("#td_hall").append(hall);
}
function queryTable(hallId,obj,hallNum){
	for(var i=0;i<hallNum;i++){
		jQuery("#hall_"+i).attr("src",'<@spring.url "images/web/btn_cheir_nor.png"/>');
	}
	$(obj).attr("src",'<@spring.url "images/web/btn_cheir_dis.png"/>');
	var url="<@spring.url "sys/table_qrcode.do?cmd=findTable&hallId="/>"+hallId;
	$.getJSON(url,function(data){
		jsonTable(data);
	});
}
function createQRCode(){
	var urlPath=$("#servicePath").val();
	if(urlPath==''){
		alert('ַ');
		return;
	}
	var url="<@spring.url "sys/table_qrcode.do?cmd=createQRCodeWap"/>&servicePath="+urlPath;
	$.getJSON(url,function(data){
		jsonTable(data);
	});
}
	
function jsonTable(data){
	$("#div_table_content").empty();
	var table="";
	var tableJson=data;
	var tableNum=tableJson.total;
	for(var i=0;i<tableNum;i++){
		var code=tableJson.rows[i].code;
		var name=tableJson.rows[i].name;
		var srcPath="<@spring.url "qrcodewap/"/>"+name+".png?p="+Math.random();
		table+="<div class='div_item'>"+
			"<img style='height:90px;' src='"+srcPath+"' onClick='encodeQRCode(\""+name+"\");'/><br>"+
			"<span>"+name+"</span>"+
			"</div>";
			
	}
	$("#div_table_content").append(table);
}
function encodeQRCode(name){
	name=encodeURI(encodeURI(name+".png"));//ת
	var url="<@spring.url "sys/table_qrcode.do?cmd=unQrcodeWap"/>&urlPath="+name;
	$.getJSON(url,function(data){
		alert(JSON.stringify(data));
	});
}
</script>
<style>
.div_item {
	float:left;
	width:100px;
	height:100px;
	margin-top:10px;	
	vertical-align:middle;
	text-align:center;	
}

</style>
</head>
<body class="easyui-layout">
<div id="center_div" region="center" align="center" icon="icon-edit">
	<div style="background-image:url(<@spring.url "images/web/bg_table_title.png"/>);">
		<table align="center">
			<tr>
				<td id="td_hall" style='align:center'>
				</td>
			</tr>
			<tr>
				<td style='align:center'>
				·:<input type='text' id='servicePath' value='${serviceURL?default("")}' maxlength='123'/> <input type='button' value='' onClick='createQRCode();'/>
				</td>
			</tr>
		</table>
	</div>
	<div id="div_table_content" style="overflow:auto;height:80%;width:100%;background-image:url(<@spring.url "images/web/bg_table_content.png"/>)">
	</div>
</div>

</body>
</html>
