<#macro treePage>
	<div style="width:96%;height:96%;margin:0px auto;">
		<#nested>
	</div>
</#macro>
<#macro treePageLeft>
	<div style="width:30%;height:100%;margin:10px auto;float:left;">
		<#nested>
	</div>
</#macro>
<#macro treePageRight>
	<div style="width:69%;height:100%;margin:10px auto;float:left;">
		<#nested>
	</div>
</#macro>

<#macro managePage>
	<div style="width:96%;height:96%;margin:0px auto;" id="managePage">
		<#nested>
	</div>
</#macro>
<#macro managePageTop>
	<div style="width:96%;margin:0 auto;">
		<#nested>
	</div>
</#macro>
<#macro managePageBody>
	<div style="width:96%;height:80%;margin:10px auto;" id="manage_page_body">
		<#nested>
	</div>
</#macro>
<#macro managePageBottom>
	<div style="width:96%;margin:10px auto;text-align:right;">
		<#nested>
	</div>
</#macro>
<#macro title>
	<h1 style="margin-top:5px;padding-left:5px;">
		<#nested>
	</h1>
	<hr/>
</#macro>
<#macro toolbar>
	<div id="toolbar" style="width:99%;margin:0px auto;background-color:#daba87;">
			<#nested>
	</div>	
</#macro>

<#macro order>
	<div id="body_content" style="width:99%;height:80%;margin:0px auto;">
			<#nested>
	</div>	
</#macro>
<#macro orderTitle>
	<div style="width:100%;text-align:center;">
			<#nested>
	</div>	
</#macro>
<#macro orderBody>
	<style>
	#order_header input.line{border:0px;border-bottom:1px solid #A4BED4;}	
	</style>
	<div style="width:100%;margin-top:5px;"  id="order_header">			
			<#nested>
	</div>
</#macro>
<#macro orderList>
	<div style="width:100%;margin-top:0px;">
			<#nested>
	</div>
</#macro>
<#macro orderBottom>
	<style>
	#order_bottom input[type=text]{border:0px;border-bottom:1px solid #A4BED4;}	
	</style>
	<div style="width:100%;margin-top:10px;" id="order_bottom">
			<#nested>
	</div>
</#macro>