<#import "../ftllib/spring_new.ftl" as spring />
<#import "../ftllib/pagecom.ftl" as page />
<!--
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
-->
<html>
<head>
<base href='<@spring.url ""/>'/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ʒ</title>
<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="expires" content="0">
<link rel="stylesheet" href="css/conntext.css" type="text/css"></link>
<script type="text/javascript" src="javascript/jquery-1.4.2.min.js" charset="utf-8"></script>
<script type="text/javascript" src="javascript/jquery_easyui/plugins/jquery.form2.js" charset="utf-8"></script>
<script type="text/javascript">
var deviceType='devicew0-window-make-zip';
$(function(){
	$("body").bind('keyup',function(event) {
		if(event.keyCode==13){
			findLikeMenu();
		}   
	});
	$("#btn_like").click(function(){
		findLikeMenu();
	});	 
	var msg="";
	$("#td_category").empty();
	<#list categoryList as category>
		var categoryId=${category.id?c};
		var categoryName='${category.name}';
		msg+="<a style='text-decoration:none;' href='javaScript:' onClick='findMenu("+categoryId+")'>"+categoryName+"</a><p>";
	</#list>
	$("#td_category").append(msg);
	
	$("#uploadSmallFile").uploadPreview({ Img: "showSmallImg", Width: 50, Height: 50 });
	$("#uploadBigFile").uploadPreview({ Img: "showBigImg", Width: 150, Height: 150 });
});
function findLikeMenu(){
	var lkName=$("#lkName").val();
	if($.trim(lkName)==''){
		alert('!');
	}else{
		var url="<@spring.url "page/menu_manager.do?cmd=searchLike&like="/>"+lkName;
		$.getJSON(url,function(data){
			var num=data.total;
			var msg="";
			$("#td_menu").empty();
			for(var i=0;i<num;i++){
				var row=data.rows[i];
				var menuId=row.id;
				var menuName=row.name;
				var menuIngredient=row.menuIngredient;
				var menuDishes=row.menuDishes;
				var smallPath=row.smallPath;
				var bigPath=row.bigPath;
				msg+="<a style='text-decoration:none;' href='javaScript:' onClick='findDetail("+menuId+")'>"+menuName+"</a><p>";
			}
			$("#td_menu").append(msg);
		});
	}
}
function findMenu(categoryId){
	$("#lkName").val("");
	var url="<@spring.url "page/menu_manager.do?cmd=find&categoryId="/>"+categoryId;
	$.getJSON(url,function(data){
		var num=data.total;
		var msg="";
		$("#td_menu").empty();
		for(var i=0;i<num;i++){
			var row=data.rows[i];
			var menuId=row.id;
			var menuName=row.name;
			var menuIngredient=row.menuIngredient;
			var menuDishes=row.menuDishes;
			var smallPath=row.smallPath;
			var bigPath=row.bigPath;
			msg+="<a style='text-decoration:none;' href='javaScript:' onClick='findDetail("+menuId+")'>"+menuName+"</a><p>";
		}
		$("#td_menu").append(msg);
	});
}

function findDetail(menuId){
	$("#uploadBigFile").attr("value","");
	$("#uploadSmallFile").attr("value","");
	var url="<@spring.url "page/menu_manager.do?cmd=search&menuId="/>"+menuId;
	$.getJSON(url,function(data){
		var num=data.total;
		for(var i=0;i<num;i++){
			var row=data.rows[i];
			var menuName=row.name;
			var ingredient=row.menuIngredient;
			var dishes=row.menuDishes;
			var smallPath=row.smallPath;
			var bigPath=row.bigPath;
			if(menuName=='null'||menuName==null){
				menuName='';
			}
			if(ingredient=='null'||ingredient==null){
				ingredient='';
			}
			if(dishes=='null'||dishes==null){
				dishes='';
			}
			if(smallPath=='null'||smallPath==null){
				smallPath='small_default.png';
			}
			if(bigPath=='null'||bigPath==null){
				bigPath='big_default.png';
			}
			$("#menuId").val(menuId);
			$("#menuName").val(menuName);
			$("#ingredient").val(ingredient);
			$("#dishes").val(dishes);
			
			var imgSmallPath="<@spring.url "padImg/smallMenu/"/>"+smallPath+"?p="+Math.random();
			var imgBigPath="<@spring.url "padImg/bigMenu/"/>"+bigPath+"?p="+Math.random();
			$("#showSmallImg").attr("src",imgSmallPath);
			$("#showBigImg").attr("src",imgBigPath);
		}
	});
}
function modifyCate(){
	if(confirm("ȷҪ޸?")){
		return true;
	}
	return false;
}
function makeZip(){
	
	var url="<@spring.url "downLoadTable.do?initTable="/>"+"{\"table\":\"padImgZip\",\"uuid\":\""+deviceType+"\"}";
	$.ajax({
         type: "POST",
         url: url,
         data:{},
         dataType: "json",
         beforeSend:function(XMLHttpRequest){
         	$("#cisLoading").show();
         },
         success: function(data){ 
	         	var error=data.error;
				if(error==""){
	         		alert('ɹ');
	         	} else {
	         		alert(error);
	         	}
	         	 $("#cisLoading").hide();
        },
	    error:function(err){
	      console.log(err.statusText);
	      console.log('쳣');
	      $("#cisLoading").hide();
	    }
     });
}
</script>
<style>
#cisLoading {
	position: fixed;
	left: 50%;
	top: 50%;
	z-index: 1000;
	display: none;
}

</style>
</head>
<body>
	<center>
		<div id="cisLoading">
			<img src="images/ajaxLoader.gif" style="width:45px;height:45px" />
		</div>
		<table style="width:80%;height:90%;border:1px solid #BED3F0;padding-top:0px;font-size:12px">
			<tr>
				<th style="width:20%;" class="th" align="center">Ʒ</th>
				<th style="width:20%" class="th" align="center">ƷϢ<br> 
					<input type='text' name='lkName' id='lkName' style="width:100px;">&nbsp;
					<input type='button' id="btn_like" value='ɸ ѡ'/>
				</th>
				<th style="width:50%" class="th" align="center">Ʒϸ &nbsp;<button onClick='makeZip();'>ͼƬ</button></th>
			</tr>
			<tr>
				<td style="width:20%;align:left;" class="td"><div class="div" id="td_category"></div></td>
				<td style="width:20%;align:left;" class="td"><div class="div" id="td_menu"></div></td>
				<td style="width:50%;align:left;" class="td"><div class="div" id="td_detail">
				<!-- ƷϢ -->
				<form id="form" action="page/menu_manager.do?cmd=upload" enctype="multipart/form-data" method="post" target="hidden_frame">
					<input type="hidden" name="menuId" id="menuId"> ${result?default("")}
					<div style="width: 100%; height: 90%; font-size: 12px;">
						<table style="width: 100%;height:70%;">
							<tr>
								<td style="align:left;width:300px;">
									<div>
										<span>:</span>
										<input name="menuName" id="menuName" class="input" readOnly="readOnly">
									</div>
									<div >
										<span>Сͼѡ:</span>
										<input type="file" name="uploadSmallFile" id="uploadSmallFile" class="input">
									</div>
									<br/><br/><br/><br/><br/><br/>
									<div >
										<span>ͼѡ:</span>
										<input type="file" name="uploadBigFile" id="uploadBigFile" class="input">
									</div>
									<br/><br/><br/><br/>
								</td>
								<td style="align:left;width:200px;">
									<div id="div_small_img">
										<img id="showSmallImg" style="width:50px;height:50px;" src=""/>
									</div>
									<div id="div_big_img">
										<img id="showBigImg" style="width:150px;height:150px;" src=""/>
									</div>
								</td>
							</tr>
							<tr>
								<td colspan="2" style="width:100%;">
									<div>
										<span>:</span><br>
										<textarea name="ingredient" id="ingredient" cols="70" rows="4" ></textarea>
									</div>
									<div>
										<span>:</span><br>
										<textarea name="dishes" id="dishes" cols="70" rows="4" ></textarea>
									</div>
								</td>
							</tr>
						</table>
						<div align="center" style="height:25px;">
							<input type="submit" value="   ">
							&nbsp;
							<input type="reset" value="   " />
							&nbsp;
						</div>
					</div>
					<iframe name='hidden_frame' id="hidden_frame" style='display:none'></iframe> 
				</form>
				</div>
				</td>
			</tr>
		</table>
	</center>
</body>
</html>
