<#import "../ftllib/spring_new.ftl" as spring />
<#import "../ftllib/pagecom.ftl" as page />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<base href='<@spring.url ""/>'/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8;width=device-width, initial-scale=1.0, user-scalable=no, maximum-scale=2.0">
<title>Ϣ</title>
<script type="text/javascript" src="<@spring.url ""/>javascript/jquery-1.4.2.min.js" charset="utf-8"></script>
<script type="text/javascript" src="<@spring.url ""/>javascript/jquery_easyui/easyloader.js" charset="utf-8"></script>
<script type="text/javascript" src="javascript/jquery.utils.js" charset="utf-8"></script>
<script language="JavaScript">
$(function(){$.showAjaxAction({img:"images/ajaxLoader.gif"});
	using(['tabs','layout'], function(){});
	jsonHall(${hallData});
	jsonTable(${tableData});
});
function jsonHall(data){
	var hallJson=data;
	$("#td_hall").empty();
	var hallNum=hallJson.total;
	var hall="";
	for(var i=0;i<hallNum;i++){
		var hallId=hallJson.rows[i].id;
		var hallName=hallJson.rows[i].name;
		if(i==0){
			hall+="<div class='div_item'>"+
				"<img id='hall_"+i+"' onClick='queryTable("+hallId+",this,"+hallNum+");' style='height:70px;' src='<@spring.url "images/web/btn_cheir_dis.png"/>'><br>"+
				"<span>"+hallName+"</span>"+
				"</div>";
		}else{
			hall+="<div class='div_item'>"+
				"<img id='hall_"+i+"' onClick='queryTable("+hallId+",this,"+hallNum+");' style='height:70px;' src='<@spring.url "images/web/btn_cheir_nor.png"/>'><br>"+
				"<span>"+hallName+"</span>"+
				"</div>";
		}
	}
	$("#td_hall").append(hall);
}
function queryTable(hallId,obj,hallNum){
	for(var i=0;i<hallNum;i++){
		jQuery("#hall_"+i).attr("src",'<@spring.url "images/web/btn_cheir_nor.png"/>');
	}
	$(obj).attr("src",'<@spring.url "images/web/btn_cheir_dis.png"/>');
	var url="<@spring.url "web/webTable.do?p=${p?default('')}&hallId="/>"+hallId;
	$.getJSON(url,function(data){
		jsonTable(data);
	});
}
	
function jsonTable(data){
	$("#div_table_content").empty();
	var table="";
	var tableJson=data;
	var tableNum=tableJson.total;
	for(var i=0;i<tableNum;i++){
		var id=tableJson.rows[i].id
		var name=tableJson.rows[i].name
		var status=tableJson.rows[i].status;
		var capacity=tableJson.rows[i].capacity;
		var peopleNum=tableJson.rows[i].peopleNum==null?0:tableJson.rows[i].peopleNum;
		var amount=tableJson.rows[i].amount;
		var orderDateTime=tableJson.rows[i].orderDateTime;
		
		var state=2;
		if(status=="A"||status=="a"){
			state=2;
		}else if(status=="B"||status=="b"){
			state=1;
		}else if(status=="C"||status=="c"){
			state=3;
		}
		
		var startDate=Date.parse(orderDateTime.replace(/-/g,"/"));
		var endDate=new Date();
		var dateDiff=endDate.getTime()-new Date(startDate).getTime();
		dateDiff=Math.round((dateDiff/(1000*60))*Math.pow(10, 0))/Math.pow(10, 0);
		var tableMsg="<table style='border:0px;width:110px;height:110px;text-align:center;font-size:12px;color:black;padding-top:5px;'>";
			tableMsg+="<tr><td style='font-size:14px;'><strong>"+name+"</strong></td></tr>";
			if(state!=3){
				amount=0;
				dateDiff=0;
			}
			if(${showCapacity?default('0')}=='1'){
				tableMsg+="<tr><td>:"+capacity+"ǰ:"+peopleNum+"λ</td></tr>";
			}
			if(${showTime?default('0')}=='1'){
				tableMsg+="<tr><td>ʱ:"+dateDiff+"</td></tr>";
			}
			if(${showAmount?default('0')}=='1'){
				tableMsg+="<tr><td>:"+amount+" Ԫ</td></tr>";
			}
			tableMsg+="</table>";
		
		table+="<div class='div_item' onClick='selectTable("+id+","+state+");' style='background-image:url(<@spring.url "images/web/ico_table_"/>"+state+".png)' >"
			+tableMsg+
			"</div>";
			
	}
	$("#div_table_content").append(table);
}
function selectTable(tableId,state){
	if(state==3){
		location.href ="<@spring.url "web/webModifyMenu.html?p=${p?default('')}&tableId="/>"+tableId;
	}else{
		alert("δ̨,Ϣ");
	}
}
function logout(){
	location.href="<@spring.url "peopleLogin.html"/>";
}

</script>
<style>
.div_item {
	float:left;
	border:0px;
	width:120px;
	height:120px;
	margin-top:5px;	
	text-align:center;	
	vertical-align:middle;
	background-size:cover; 
}

</style>
</head>
<body class="easyui-layout">
<div id="center_div" region="center" align="center" icon="icon-edit">
	
	<div style="height:120px;width:100%;background-image:url(<@spring.url "images/web/bg_table_title.png"/>);">
		<table align="center">
			<tr>
				<td id="td_hall">
				</td>
			</tr>
		</table>
	</div>
	<div id="div_table_content" style="overflow:auto;height:80%;width:100%;background-image:url(<@spring.url "images/web/bg_table_content.png"/>)">
		
	</div>
	<div align="right" style="height:7%;width:100%;border-top:1px solid green;background-image:url(<@spring.url "images/web/bg_table_content.png"/>)">
		<button style='width:100px;font-size:18px;margin-top:5px;' onClick='javascript:logout();'>ע </button>
		<img src="<@spring.url "images/web/bg_table_bottom.png"/>"/>
	</div>
</div>

</body>
</html>
